-- Load enUS localization regardless of client locale, so that if localization for client's locale is missing, we won't get plenty of Lua errors
-- if GetLocale() ~= "enGB" and GetLocale() ~= "enUS" then
--     return;
-- end

function ezCollections:GetPetInfo(spellID)
    local info = ezCollections.Pets[spellID];
    if info then
        return unpack(info, 1, 7);
    end
end

ezCollections.Pets =
{
    [4055] = { 2671, 9, 2, nil, "A mechanical squirrel's logic center tells it to collect and store both nuts and bolts for the winter.", 3, "|cFFFFD200Profession: |rEngineering" },
    [10673] = { 7385, 7, 2, nil, "Donni Anthania plans to have a bombay buried with her when she dies. A wise adventurer can put its talents to much better use.", 2, "|cFFFFD200Vendor: |rDonni Anthania|n|cFFFFD200Zone: |rElwynn Forest|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10674] = { 7384, 7, 2, nil, "Donni Anthania invites these cats to her tea parties. But she doesn't serve their favorite drink: the tears of their enemies.", 2, "|cFFFFD200Vendor: |rDonni Anthania|n|cFFFFD200Zone: |rElwynn Forest|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10675] = { 7383, 7, 2, nil, "Old Alterac saying: 'A cat has nine lives, but needs only one.'", 0, "|cFFFFD200Drop: |rWorld Drop|n|cFFFFD200Zone: |rAlterac Mountains" },
    [10676] = { 7382, 7, 2, nil, "The last person who tried to housebreak this cat quickly learned that a soiled rug is better than a shredded everything-else.", 2, "|cFFFFD200Vendor: |rDonni Anthania|n|cFFFFD200Zone: |rElwynn Forest|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10677] = { 7380, 7, 2, nil, "Known for its blue eyes. Also considered a delicacy by giant murlocs.", 2, "|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r60|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10678] = { 7381, 7, 2, nil, "Sleeping is this cat's second favorite activity. The first is yawning.", 2, "|cFFFFD200Vendor: |rDonni Anthania|n|cFFFFD200Zone: |rElwynn Forest|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10679] = { 7386, 7, 2, nil, "'The queen had three kittens. The first gave her a juicy rat. The second, a tasty hare. And the white, her favorite, presented the head of her rival.'", 2, "|cFFFFD200Vendor: |rLil Timmy|n|cFFFFD200Zone: |rStormwind City|n|cFFFFD200Cost: |r60|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10680] = { 7390, 2, 2, nil, "Some say this clever bird can be taught to speak--but it's smart enough to keep its beak shut.", 2, "|cFFFFD200Vendor: |rNarkk|n|cFFFFD200Zone: |rStranglethorn Vale|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10682] = { 7391, 2, 2, nil, "The jungle trolls train these birds to mimic calls for help in order to lure unsuspecting travelers into traps.", 0, "|cFFFFD200Drop: |rWorld Drop|n|cFFFFD200Zone: |rStranglethorn Vale" },
    [10683] = { 7387, 2, 2, nil, "Favored pet of the Defias pirates, this colorful bird is handy for remembering passwords, grocery lists, and cracker recipes.", 0, "|cFFFFD200Drop: |rDefias Pirate|n|cFFFFD200Zone: |rThe Deadmines" },
    [10684] = { 7389, 2, 2, nil, "Favored pet of the goblins of Booty Bay, this colorful bird is renowned for its ability to count coins, tally budgets, and lie about contracts.", 2, "|cFFFFD200Vendor: |rNarkk|n|cFFFFD200Zone: |rStranglethorn Vale|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t|n|n|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10685] = { 7394, 2, 2, nil, "It thinks you taste like chicken too.", 2, "|cFFFFD200Vendor: |rMagus Tirth|n|cFFFFD200Zone: |rThousand Needles|n|cFFFFD200Cost: |r1|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [10688] = { 7395, 4, 2, nil, "The cockroach is usually an impulse buy. Its owners have a hard time parting with it even after numerous attempts.", 2, "|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t|n|n|cFFFFD200Vendor: |rJeremiah Payson|n|cFFFFD200Zone: |rUndercity|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10695] = { 7543, 1, 2, nil, "Hopes that someday it can grow up to destroy villages, just like mommy.", 0, "|cFFFFD200Drop: |rWhelplings|n|cFFFFD200Zone: |rDustwallow Marsh, Badlands" },
    [10696] = { 7547, 1, 2, nil, "Like other members of the blue dragonflight, these whimsical little critters display an affinity to arcane magic.", 0, "|cFFFFD200Drop: |rWorld Drop|n|cFFFFD200Zone: |rAzshara" },
    [10697] = { 7544, 1, 2, nil, "Hailing from the Wetlands, this young dragon is just learning how to hunt, breathe fire, and go on cute destructive rampages.", 0, "|cFFFFD200Drop: |rWorld Drop|n|cFFFFD200Zone: |rWetlands" },
    [10698] = { 7545, 1, 2, nil, "Once bred and raised by the green dragon Itharius, this unique breed of dragon has settled in the jungles of Feralas.", 0, "|cFFFFD200Drop: |rAdolescent Whelp, Dreaming Whelp|n|cFFFFD200Zone: |rSwamp of Sorrows" },
    [10703] = { 7550, 8, 2, nil, "Vendors at the Darkmoon Faire offer strange and exotic wonders. They also sell wood frogs.", 2, "|cFFFFD200Vendor: |rFlik|n|cFFFFD200Event: |rDarkmoon Faire|n|cFFFFD200Cost: |r1|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [10704] = { 7549, 8, 2, nil, "Known for their powerful legs and keen eyesight.", 2, "|cFFFFD200Vendor: |rFlik|n|cFFFFD200Event: |rDarkmoon Faire|n|cFFFFD200Cost: |r1|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [10706] = { 7555, 2, 2, nil, "This dark-feathered bird of prey is often seen as a harbinger of doom amongst the druids of Teldrassil.", 2, "|cFFFFD200Vendor: |rShylenai|n|cFFFFD200Zone: |rDarnassus|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10707] = { 7553, 2, 2, nil, "Night elf children are given an owl feather on their first birthday as a token of good luck.", 2, "|cFFFFD200Vendor: |rShylenai|n|cFFFFD200Zone: |rDarnassus|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10708] = { 7554, 2, 26, nil, "Winterspring's furbolg prize the brilliant white feathers of these majestic creatures for ritual purposes.", 11, "" },
    [10709] = { 14421, 4, 2, nil, "A complex system of burrows protects the prairie dog from its neighbors' massive hooves.", 2, "|cFFFFD200Vendor: |rHalpa|n|cFFFFD200Zone: |rThunder Bluff|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10711] = { 7560, 4, 2, nil, "If you go chasing snowshoe rabbits, you know you're going to fall.", 2, "|cFFFFD200Vendor: |rYarlyn Amberstill|n|cFFFFD200Zone: |rDun Morogh|n|cFFFFD200Cost: |r20|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10713] = { 7561, 7, 2, nil, "A favored companion of Kirin Tor magi, this reptile makes one wonder whether it's truly a snake or something else altogether.", 2, "|cFFFFD200Vendor: |rBreanni|n|cFFFFD200Zone: |rDalaran|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [10714] = { 7565, 7, 2, nil, "Xan'tish fearlessly tracks, captures, and trains these noble snakes so they will aid their comrades in battle.", 2, "|cFFFFD200Vendor: |rXan'tish|n|cFFFFD200Zone: |rOrgrimmar|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10716] = { 7562, 7, 2, nil, "The brown snake is native to Horde-controlled territories. It seems unremarkable until its victims are within range.", 2, "|cFFFFD200Vendor: |rXan'tish|n|cFFFFD200Zone: |rOrgrimmar|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [10717] = { 7567, 7, 2, nil, "The crimson snake is favored among the Darkspear trolls for not only its vicious nature, but also its steadfast loyalty.", 2, "|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t|n|n|cFFFFD200Vendor: |rXan'tish|n|cFFFFD200Zone: |rOrgrimmar|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [12243] = { 8376, 9, 18, nil, "Not to worry; the combat mechanisms and homing logic have been disabled on this unit, I think. --Oglethorpe Obnoticus", 1, "|cFFFFD200Quest:|r An OOX of Your Own|n|cFFFFD200Zone:|r Booty Bay|n" },
    [13548] = { 30379, 2, 18, nil, "Don't call this bird chicken unless you want egg on your face.", 1, "|cFFFFD200Quest: |rCLUCK!|n|cFFFFD200Zone: |rWestfall" },
    [15048] = { 9656, 9, 2, nil, "Possibly explosive, definitely adorable. Keep away from open flame.", 3, "|cFFFFD200Profession: |rEngineering" },
    [15049] = { 9657, 9, 2, nil, "This tiny peacekeeper security bot is often outfitted with the latest arcane nullifiers and crowd pummelers. Not for the environmentally minded.", 3, "|cFFFFD200Profession: |rEngineering" },
    [15067] = { 9662, 1, 2, nil, "These adorable critters love snuggling with their owners after a long day of brutal, bloody battle.", 0, "|cFFFFD200Drop: |rWorld Drop|n|cFFFFD200Zone: |rFeralas" },
    [15999] = { 10259, 7, 2050, nil, "Worgs are the favored companions of orcs and are fiercely loyal on the battlefield.", 1, "|cFFFFD200Quest: |rKibler's Exotic Pets|n|cFFFFD200Zone: |rLower Blackrock Spire" },
    [16450] = { 10598, 7, 2, nil, "Although born in the warm heights of Blackrock Spire, the smolderweb hatchling can survive most environments.", 1, "|cFFFFD200Quest: |rEn-Ay-Es-Tee-Why|n|cFFFFD200Zone: |rLower Blackrock Spire" },
    [17707] = { 11325, 7, 82, nil, "This pint-sized panda cub is highly sought after by adventurers around Azeroth - despite its narcoleptic nature.", 7, "|cFFFFD200Promotion:|r World of Warcraft Collector's Edition" },
    [17708] = { 11326, 5, 82, nil, "AND THE HEAVENS SHALL TREMBLE, AND MAN SHALL WEEP, AND THE END OF DAYS SHALL--wait, why are you so tall?", 7, "|cFFFFD200Promotion:|r World of Warcraft Collectors Edition" },
    [17709] = { 11327, 4, 82, nil, "A small, fierce member of the Zerg swarm, the zergling is not to be trifled with. Very dangerous in high numbers.", 7, "|cFFFFD200Promotion:|r World of Warcraft Collectors Edition" },
    [19772] = { 12419, 9, 2, nil, "Talented engineers have crafted an exact replica of a wood frog, at only ten times the cost of buying the real thing.", 3, "|cFFFFD200Profession: |rEngineering" },
    [23811] = { 14878, 8, 18, nil, "The legendary ale frog was believed to be extinct until the strange brews at the Darkmoon Faire brought them out of hiding.", 6, "|cFFFFD200World Event:|r Darkmoon Faire" },
    [24696] = { 15186, 0, 82, nil, "Appearances of this beloved and ultra-reclusive murloc are sure to draw a crowd.", 7, "|cFFFFD200Promotion:|r BlizzCon 2005" },
    [24988] = { 15358, 0, 16466, nil, "Lurky's charming disposition and lively antics are guaranteed to soothe frustration and lighten even the darkest moods.", 7, "|cFFFFD200Promotion:|r Burning Crusade Collector's Edition (EU only)|n" },
    [25162] = { 15429, 5, 2, nil, "Warning: Wear gloves and goggles while handling disgusting oozeling. DO NOT WASH. Will stain most armor.", 0, "|cFFFFD200Drop:|r World Drop|n|cFFFFD200Creature:|r Oozes and Slimes" },
    [26010] = { 15699, 9, 2, nil, "This clever toy is equipped with a secret switch to disable its 'tranquil' mode. Luckily, even the engineers who built it don't know how to find it.", 3, "|cFFFFD200Profession: |rEngineering" },
    [26045] = { 15710, 6, 2, nil, "He loves to dance and wave and play with you! He melts after Winter Veil, but don't worry; he'll be back again someday!", 6, "|cFFFFD200World Event:|r Feast of Winter Veil|n" },
    [26529] = { 15706, 4, 2, nil, "Would rather not spend any more time inside a wrapped holiday gift box.", 6, "|cFFFFD200World Event:|r Feast of Winter Veil" },
    [26533] = { 15698, 0, 2, nil, "These off-season allies work tirelessly to prepare for the Feast of Winter Veil, and would appreciate not being disturbed the rest of the year.", 6, "|cFFFFD200World Event:|r Feast of Winter Veil" },
    [26541] = { 15705, 0, 2, nil, "During the majestic Winter Veil celebration, these faithful companions spread joy throughout the land. The rest of the year, they are busy.", 6, "|cFFFFD200World Event:|r Feast of Winter Veil" },
    [27241] = { 16069, 0, 16466, nil, "Gurky is a born performer, though she remains elusive, making public appearances only on the rarest of occasions.", 7, "|cFFFFD200Promotion:|r EU Fansite Promotion|n" },
    [27570] = { 16085, 0, 2, nil, "The power of love can be a dangerous thing, especially when wielded by an airborne, ill-tempered goblin.", 6, "|cFFFFD200World Event:|r Love is in the Air|n|cFFFFD200Vendor: |rLovely Merchant|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\INV_ValentinesCard01:0|t|n" },
    [28505] = { 16456, 7, 16466, nil, "This cub shares many traits with its relatives, but it's in a league of its own with its singing ability.", 7, "|cFFFFD200Promotion:|r iCoke" },
    [28738] = { 16547, 8, 2, nil, "Slow and steady wins the race.", 6, "|cFFFFD200World Event:|r Children's Week" },
    [28739] = { 16548, 4, 2, nil, "Many assume 'Wiggles' refers to the motion of this pig's posterior. They discover the true meaning when they see their own entrails.", 6, "|cFFFFD200World Event:|r Children's Week" },
    [28740] = { 16549, 4, 2, nil, "A clever tactician, Whiskers will feign death to fool predators and bill collectors.", 6, "|cFFFFD200World Event:|r Children's Week" },
    [28871] = { 16701, 6, 2, nil, "This little piece of summer smells of warm evenings and lightning storms. If you look closely, you might be able to make out a face.", 6, "|cFFFFD200World Event:|r Midsummer Fire Festival|n|cFFFFD200Vendor: |rMidsummer Merchant|n|cFFFFD200Cost: |r350|TINTERFACE\\ICONS\\INV_SummerFest_FireFlower:0|t" },
    [30156] = { 17255, 2, 2, nil, "After a harpy incursion in Feralas, several hippogryph nesting grounds were attacked. Hundreds of hatchlings were orphaned, and they have been entrusted to the care of the druids on Sardor Isle.", 8, "|cFFFFD200Trading Card Game:|r Heroes of Azeroth" },
    [32298] = { 18381, 1, 82, nil, "Offspring of the nether drakes of Outland, this young dragon is still growing into its role as hunter, protector, and adorable terror of the skies.", 7, "|cFFFFD200Promotion:|r Burning Crusade Collector's Edition" },
    [33050] = { 18839, 8, 2, nil, "Only magical wishes make magical crawdads. If you wish for a fish, fish for a wish.", 3, "|cFFFFD200Fishing:|r Fishing (430)|n|cFFFFD200Zone:|r Terokkar Forest (Fishing Nodes)" },
    [35156] = { 20408, 5, 2, nil, "The ethereal Rashaad began breeding these enigmatic creatures after learning of their ability to feed on arcane energies.", 2, "|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [35239] = { 20472, 4, 2, nil, "This bunny is the cutest thing its opponent will ever see. It'll also be the last.", 2, "|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r10|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [35907] = { 21010, 2, 2, nil, "Delicate denizen of Azuremyst Isle, this magical insect has been rumored to possess healing abilities.", 2, "|cFFFFD200Vendor: |rSixx|n|cFFFFD200Zone: |rThe Exodar|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [35909] = { 21009, 2, 2, nil, "A product of exposure to wild magical energies, this insect is the unexpectedly colorful result of Azerothian moth species being released into the eco-domes of the Netherstorm.", 2, "|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r10|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [35910] = { 21008, 2, 2, nil, "Prefers flying during thunderstorms, which are common in Azuremyst Isle.", 2, "|cFFFFD200Vendor: |rSixx|n|cFFFFD200Zone: |rThe Exodar|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [35911] = { 21018, 2, 2, nil, "Prefers flying during foggy nights, which are common in Azuremyst Isle.", 2, "|cFFFFD200Vendor: |rSixx|n|cFFFFD200Zone: |rThe Exodar|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [36027] = { 21055, 1, 2, nil, "Once prized by dragonhawk breeders in Silvermoon. Stands out at night to predators, making it necessary to gain awareness at an early age.", 2, "|cFFFFD200Vendor: |rJilanne|n|cFFFFD200Zone: |rEversong Woods|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [36028] = { 21064, 1, 2, nil, "Mortal enemies with silver dragonhawks; on pretty good terms with golden dragonhawks.", 2, "|cFFFFD200Vendor: |rJilanne|n|cFFFFD200Zone: |rEversong Woods|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [36029] = { 21063, 1, 2, nil, "Ferocious species of dragonhawk, often seen diving down on prey from high in the sky.", 2, "|cFFFFD200Vendor: |rJilanne|n|cFFFFD200Zone: |rEversong Woods|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-SILVERICON.BLP:0|t" },
    [36031] = { 21056, 1, 2, nil, "Raised by the few dealers still willing to trade in Netherstorm.", 2, "|cFFFFD200Vendor: |rDealer Rashaad|n|cFFFFD200Zone: |rNetherstorm|n|cFFFFD200Cost: |r10|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [36034] = { 21076, 2, 2, nil, "Commonly used by sporelings as a light source as they navigate the waterways of Zangarmarsh, this luminescent insect helps them avoid the dangerous bogflare needlers.", 0, "|cFFFFD200Drop: |rBogflare Needler|n|cFFFFD200Zone: |rZangarmarsh" },
    [39181] = { 22445, 2, 18, nil, "The magical energies released during Skywing's transformation back into his true arakkoa form liberated this poor creature, a fledgling bird imprisoned by Luanga in order to power his fowl curse.", 1, "|cFFFFD200Quest:|r Skywing|n|cFFFFD200Zone:|r Terokkar Forest|n|n" },
    [39709] = { 22943, 4, 2, nil, "Many a drunken Brewfest goer has told the tale of this mysterious creature, but few remember that tale in the morning.", 6, "|cFFFFD200World Event:|r Brewfest" },
    [40405] = { 23198, 4, 16466, nil, "Lucky squeals when he's angry or when he's eating. Either way, you don't want to bother him.", 7, "|cFFFFD200Promotion:|r World Wide Invitational 2007|n" },
    [40549] = { 23234, 7, 2, nil, "Although loath to part with Bananas, Landro realized it would be safer if the pet was far from Booty Bay when his father, King Mukla, discovered he was missing.", 8, "|cFFFFD200Trading Card Game:|r Through the Dark Portal" },
    [40613] = { 23231, 5, 2, nil, "He's slightly evil but extremely narcoleptic. Keep him away from critters!", 6, "|cFFFFD200World Event:|r Children's Week" },
    [40614] = { 23258, 4, 2, nil, "The sin'dorei use hawkstriders as mounts, but this little one was deemed unfit after being diagnosed with numerous anxiety disorders.", 6, "|cFFFFD200World Event:|r Children's Week" },
    [40634] = { 23266, 4, 2, nil, "Domesticated elekks are trained as mounts by the draenei people. In the wild they are hunted for their ivory tusks.", 6, "|cFFFFD200World Event:|r Children's Week" },
    [40990] = { 23274, 4, 82, nil, "Stinker uses his aroma to repel predators and attract cats. He's much more successful with the former than the latter.", 5, "|cFFFFD200Achievement: |rShop Smart, Shop Pet...Smart|n|cFFFFD200Category: |rGeneral" },
    [42609] = { 23909, 6, 2, nil, "This mischievous gourd likes to pop out of the ground and scare you right out of your pants. Hail to the pumpkin song!", 6, "|cFFFFD200World Event:|r Hallow's End" },
    [43697] = { 24388, 8, 2, nil, "The crocolisk's hide and meat are prized by hunters, but the beast is ferocious and seldom taken by surprise.", 3, "|cFFFFD200Profession: |rFishing|n|cFFFFD200Zone: |rShattrath" },
    [43698] = { 24389, 8, 2, nil, "Muckbreath is just like other crocolisks, except he has an excellent sense of humor.", 3, "|cFFFFD200Profession:|r Fishing|n|cFFFFD200Zone:|r Shattrath" },
    [43918] = { 24480, 8, 2, nil, "Amani witch doctors have turned many victims into frogs. Some never recover.", 0, "|cFFFFD200Drop:|r Forest Frog|n|cFFFFD200Zone:|r Zul'Aman" },
    [44369] = { 24753, 4, 2, nil, "A shy creature, the pink elekk will only make its presence known to those that have befriended it, or to anyone too intoxicated to harm it.", 6, "|cFFFFD200World Event:|r Brewfest|n|cFFFFD200Vendor: |rBelbi Quikswitch|n|cFFFFD200Zone: |rDun Morogh|n|cFFFFD200Cost: |r100|TINTERFACE\\ICONS\\INV_Misc_Coin_01:0|t|n|n|cFFFFD200Vendor: |rBliz Fixwidget|n|cFFFFD200Zone: |rDurotar|n|cFFFFD200Cost: |r100|TINTERFACE\\ICONS\\INV_Misc_Coin_01:0|t" },
    [45082] = { 25062, 2, 2, nil, "Wild sporebats are vicious creatures, but if tamed at a young age, they can be loyal companions.", 2, "|cFFFFD200Vendor: |rMycah|n|cFFFFD200Zone: |rZangarmarsh|n|cFFFFD200Faction: |rSporeggar - Exalted|n|cFFFFD200Cost: |r30|TINTERFACE\\ICONS\\INV_Mushroom_02:0|t" },
    [45125] = { 25109, 9, 2, nil, "When the Burning Legion invaded Outland, Landro Longshot contributed this design to the war effort. Both the Alliance and Horde passed on production.", 8, "|cFFFFD200Trading Card Game:|r March of the Legion" },
    [45127] = { 25110, 2, 2050, nil, "Much quieter than a real dragon.", 8, "|cFFFFD200Trading Card Game:|r March of the Legion" },
    [45174] = { 25146, 4, 82, nil, "This golden pig honors its ancestors by giving its allies good fortune.", 7, "|cFFFFD200Promotion:|r Recruit-A-Friend|n" },
    [45175] = { 25147, 4, 82, nil, "Druids think silver pigs have a special bond with golden pigs, as both breeds appeared on Azeroth at the same time.", 7, "|cFFFFD200Promotion:|r Recruit-A-Friend" },
    [45890] = { 25706, 6, 2, nil, "Elder shaman have warned that wisps of Ragnaros, loyal servants of the Firelord, have taken to the Molten Front.  Vigilance is advised.", 11, "" },
    [46425] = { 26050, 8, 2, nil, "Crocolisks are six-legged amphibian predators found in coastal waters. Archaeologists believe they may be descended from the diemetradons of Un'Goro Crater.", 3, "|cFFFFD200Profession: |rFishing|n|cFFFFD200Zone: |rShattrath" },
    [46426] = { 26056, 8, 2, nil, "After studying the crocolisk species for several years, the famed angler Nat Pagle determined that baby crocolisks are mostly harmless.", 3, "|cFFFFD200Profession: |rFishing|n|cFFFFD200Zone: |rShattrath" },
    [46599] = { 26119, 6, 2, nil, "A child of phoenix god Al'ar, the hatchling takes flight immediately after birth.", 0, "|cFFFFD200Drop: |rKael'thas Sunstrider|n|cFFFFD200Zone: |rMagisters' Terrace" },
    [48406] = { 27217, 1, 16402, nil, "These stunning creatures, awarded to heroes for victory in battle, represent bravery and strength.", 7, "|cFFFFD200Promotion:|r Battleground Event" },
    [48408] = { 27346, 1, 16402, nil, "Only heroes who have proven their valor through great acts are gifted one of these mystical serpentine creatures.", 7, "|cFFFFD200Promotion:|r China PVP Event" },
    [49964] = { 27914, 5, 2, nil, "Ethereal soul-traders will travel with those who can free the essences they need from unruly hosts.", 8, "|cFFFFD200Trading Card Game:|r The Hunt for Illidan" },
    [51716] = { 28470, 2, 2, nil, "Native to the Terokkar Forest, nether rays spawn during the rainy season. Out of the hundreds of offspring resulting from one hatching, very few survive to adulthood.", 2, "|cFFFFD200Vendor: |rGrella|n|cFFFFD200Zone: |rTerokkar Forest|n|cFFFFD200Faction: |rSha'tari Skyguard - Exalted|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [51851] = { 28513, 3, 16402, nil, "Vampire bats have been trained as scouts and mounts by the Forsaken of the Undercity and the Amani trolls of Zul'Aman.", 0, "|cFFFFD200Drop: |rPrince Tenris Mirkblood|n|cFFFFD200Zone: |rKarazhan" },
    [52615] = { 28883, 3, 82, nil, "Accidentally created when the Lich King's deathly powers raised Rimefang from undeath.", 7, "|cFFFFD200Promotion:|r Wrath of the Lich King Collector's Edition" },
    [53082] = { 29089, 0, 16466, nil, "'I am Justice itself!'", 7, "|cFFFFD200Promotion:|r World Wide Invitational 2008" },
    [53316] = { 29147, 3, 2, nil, "When it senses the impending death of a nearby creature, the skull will emit an ear-piercing cackle.", 2, "|cFFFFD200Vendor: |rDarahir|n|cFFFFD200Zone: |rDalaran|n|cFFFFD200Cost: |r40|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [54187] = { 24968, 9, 2, nil, "This mechanical warrior is a favorite gift during Winter Veil. Batteries not included, but rockets definitely are!", 6, "|cFFFFD200World Event:|r Feast of Winter Veil" },
    [55068] = { 29726, 8, 16466, nil, "Mr. Chilly's appearance evokes a more civilized era, when duelists battled in tuxedos.", 7, "|cFFFFD200Promotion:|r WoW/Blizzard Account Merger" },
    [59250] = { 31575, 4, 2, nil, "You wouldn't want to meet this rat in a dark alley. Or anywhere else, for that matter.", 3, "|cFFFFD200Profession:|r Fishing|n|cFFFFD200Zone:|r Dalaran" },
    [61348] = { 32589, 2, 2, nil, "Unlike most of Geen the gorloc's 'mysterious eggs,' this one actually contained a living thing.", 0, "|cFFFFD200Drop: |rMysterious Egg" },
    [61349] = { 32590, 2, 2, nil, "The rare albino tickbird is revered amongst the Oracles. It is seen as a sign of heavy rainstorms, good grub harvests, and hibernating wolvar.", 0, "|cFFFFD200Drop: |rMysterious Egg" },
    [61350] = { 32592, 1, 2, nil, "These voracious whelps grow at an incredible rate and can devour nearly twice their weight in raw meat per day.", 0, "|cFFFFD200Drop: |rMysterious Egg" },
    [61351] = { 32591, 7, 2, nil, "The cobras of Azeroth are renowned for their fast-acting venom and swift strikes.", 0, "|cFFFFD200Drop: |rMysterious Egg" },
    [61357] = { 32595, 8, 2, nil, "Notable for its wide eyes and sassy slide.", 2, "|cFFFFD200Vendor: |rSairuk|n|cFFFFD200Zone: |rDragonblight|n|cFFFFD200Faction: |rThe Kalu'ak - Exalted|n|cFFFFD200Cost: |r12|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t|n|n|cFFFFD200Vendor: |rTanaika|n|cFFFFD200Zone: |rHowling Fjord|n|cFFFFD200Faction: |rThe Kalu'ak - Exalted|n|cFFFFD200Cost: |r12|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [61472] = { 32643, 6, 82, nil, "To prevent apprentices from secretly using the familiar to complete their chores, the archmagi placed the ritual required to summon the creature across the pages of several spellbooks hidden throughout Dalaran.", 5, "|cFFFFD200Achievement:|r Higher Learning|n|cFFFFD200Category: |rGeneral" },
    [61725] = { 32791, 4, 2, nil, "Spring rabbits symbolize fertility, and they love to demonstrate why.", 6, "|cFFFFD200World Event:|r Noblegarden|n|cFFFFD200Vendor: |rNoblegarden Merchant|n|cFFFFD200Cost: |r100|TINTERFACE\\ICONS\\Achievement_Noblegarden_Chocolate_Egg:0|t" },
    [61773] = { 32818, 2, 82, nil, "He's humble, clairvoyant, and delicious with cranberry sauce.", 6, "|cFFFFD200World Event:|r Pilgrim's Bounty" },
    [61855] = { 32841, 7, 16466, nil, "This rare bear is bred for its small size and perpetually youthful appearance.", 5, "|cFFFFD200Achievement: |rWoW's 4th Anniversary|n|cFFFFD200Category: |rFeats of Strength" },
    [61991] = { 32939, 4, 82, nil, "She likes the company of friends. Seventy-five of them, to be precise.", 5, "|cFFFFD200Achievement: |rLil' Game Hunter|n|cFFFFD200Category: |rGeneral" },
    [62491] = { 33188, 6, 2, nil, "It always wakes up dancing. What a happy little tree!", 2, "|cFFFFD200Vendor: |rRook Hawkfist|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t" },
    [62508] = { 33194, 7, 2, nil, "The bears of Dun Morogh are prized for their hardiness, loyalty, and combat prowess. Their time among the dwarves does little to curb their ferocity.", 2, "|cFFFFD200Vendor: |rDerrick Brindlebeard|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t " },
    [62510] = { 33197, 2, 2, nil, "Can sense an opponent's heartbeat through echolocation.", 2, "|cFFFFD200Vendor: |rEliza Killian|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t" },
    [62513] = { 33198, 7, 2, nil, "The volatile Durotar scorpion is a fierce desert predator. It's known for only occasionally stinging its owner.", 2, "|cFFFFD200Vendor: |rFreka Bloodaxe|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t " },
    [62516] = { 33200, 4, 2, nil, "Unlike the polymorphed variety, trueborn sheep can be quite scary.", 2, "|cFFFFD200Vendor: |rCorporal Arthur Flew|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t " },
    [62542] = { 33219, 4, 2, nil, "A tallstrider's speed on open ground is unrivaled, so predators rely on stealth and pack tactics when hunting them.", 2, "|cFFFFD200Vendor: |rDoru Thunderhorn|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t " },
    [62561] = { 33226, 8, 2, nil, "The strand crawler has adapted to the northern cold by hibernating under the island beaches.", 3, "|cFFFFD200Profession: |rFishing|n|cFFFFD200Zone: |rDalaran" },
    [62562] = { 33205, 6, 2, nil, "The long-term effects of the contamination caused by the Exodar are still under observation.", 2, "|cFFFFD200Vendor: |rIrisee|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t |n" },
    [62564] = { 33227, 5, 2, nil, "Created by a blood elf apprentice, this broom would be extremely useful if anyone could figure out how to make it stop.", 2, "|cFFFFD200Vendor: |rTrellis Morningsun|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t " },
    [62609] = { 33238, 0, 659, nil, "Many of Stormwind's youth joined the Argent Crusade as squires, hoping to one day serve the Holy Light in battle.", 1, "|cFFFFD200Quest:|r A Champion Rises|n|cFFFFD200Zone:|r Icecrown" },
    [62674] = { 33274, 9, 2, nil, "Used as a training mount for young gnomes, the Mechanopeep has none of the speed but all of the charm of its bigger brothers.", 2, "|cFFFFD200Vendor: |rRillie Spindlenut|n|cFFFFD200Zone: |rIcecrown" },
    [62746] = { 33239, 0, 403, nil, "These young orcs strive to embody the Argent Crusade's virtues: valor, strength, and integrity.", 1, "|cFFFFD200Quest:|r A Champion Rises|n|cFFFFD200Zone:|r Icecrown" },
    [63318] = { 33578, 0, 16466, nil, "Murkimus is the most fearsome of all murloc arena warriors. And for a time, the only one.", 7, "|cFFFFD200Promotion:|r Arena Tournament" },
    [63712] = { 33810, 3, 2050, nil, "This is actually three pets in one. You won't know what you'll get until you summon it!", 2, "|cFFFFD200Vendor: |rSamamba|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t|n" },
    [65358] = { 34364, 7, 2, nil, "Many have mocked this cat before battle. Their last words are usually, 'Here, kitty, kitty.'", 2, "|cFFFFD200Vendor: |rBreanni|n|cFFFFD200Zone: |rDalaran|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [65381] = { 33530, 0, 18, nil, "The bouncy gurloc is a distant cousin of the murloc.", 6, "|cFFFFD200World Event:|r Children's Week" },
    [65382] = { 33529, 0, 18, nil, "Despite their smaller stature, the wolvar are some of the most aggressive creatures in Northrend. This often makes their curious nature intimidating.", 6, "|cFFFFD200World Event:|r Children's Week" },
    [65682] = { 34587, 9, 16466, nil, "A fighting robot fueled by delicious red or blue electrolytes.", 7, "|cFFFFD200Promotion:|r Mountain Dew Promotion" },
    [66030] = { 34694, 0, 82, nil, "Only the rarest of murlocs is able to successfully cross dimensional barriers. Fewer still return with the kind of advanced armor and weaponry possessed by Grunty.", 7, "|cFFFFD200Promotion:|r BlizzCon 2009" },
    [66096] = { 34724, 5, 2, nil, "This extremely rare species of mana wyrm is prized for its unique coloration and even temperament.", 2, "|cFFFFD200Vendor: |rHiren Loresong|n|cFFFFD200Zone: |rIcecrown|n|cFFFFD200Faction: |rThe Silver Covenant - Exalted|n|cFFFFD200Cost: |r40|TINTERFACE\\ICONS\\Ability_Paladin_ArtofWar.blp:0|t|n" },
    [66520] = { 34930, 5, 82, nil, "Considered to be lucky, tigers carved of jade are prized, but taming a jade tiger itself is an even greater prize.", 7, "|cFFFFD200Promotion:|r Recruit-A-Friend" },
    [67413] = { 35396, 7, 2, nil, "Rarely leaves nest until maturity. Enjoys conducting pranks on the nearby Razormaw nest.", 0, "|cFFFFD200Drop: |rDart's Nest|n|cFFFFD200Zone: |rDustwallow Marsh" },
    [67414] = { 35395, 7, 2, nil, "The demand for this purple-skinned breed has drastically reduced the raptor population near the Wailing Caverns.", 0, "|cFFFFD200Drop: |rDeviate Guardian, Deviate Ravager|n|cFFFFD200Zone: |rWailing Caverns" },
    [67415] = { 35400, 7, 2, nil, "This crafty raptor was born in the icy wastes of Northrend. Its harsh upbringing gives it strength when many others would perish.", 0, "|cFFFFD200Drop: |rGundrak Raptor|n|cFFFFD200Zone: |rZul'Drak" },
    [67416] = { 35387, 7, 2, nil, "This offspring of Takk the Leaper is incredibly agile and can maneuver through difficult environments with ease.", 0, "|cFFFFD200Drop: |rTakk's Nest|n|cFFFFD200Zone: |rThe Barrens" },
    [67417] = { 35399, 7, 2, nil, "This hatchling is coveted for its unique coloration. Despite Breanni's loving care, the raptor's feral nature cannot be restrained.", 2, "|cFFFFD200Vendor: |rBreanni|n|cFFFFD200Zone: |rDalaran|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [67418] = { 35397, 7, 2, nil, "Larger than other raptor infants, these hatchlings grow into towering reptilian beasts capable of massive devastation.", 0, "|cFFFFD200Drop: |rRavasaur Matriarch's Nest|n|cFFFFD200Zone: |rUn'goro Crater" },
    [67419] = { 35398, 7, 2, nil, "Razormaw eggs are protected fiercely by their mothers. Their cuteness belies their inherited ferocity.", 0, "|cFFFFD200Drop: |rRazormaw Matriarch's Nest|n|cFFFFD200Zone: |rWetlands" },
    [67420] = { 35394, 7, 2, nil, "Razzashi raptors are among the cleverest predators in the jungle, making them favored by the Gurubashi trolls.", 0, "|cFFFFD200Drop: |rWorld Drop|n|cFFFFD200Zone: |rStranglethorn Vale" },
    [67527] = { 35468, 5, 16466, nil, "The onyx panther is invisible at night, like a stalking shadow, and disappears with the dawn.", 7, "|cFFFFD200Promotion:|r Korea World Event" },
    [68767] = { 36482, 2, 2, nil, "Seeing these kites soaring above Northrend's shores is a clear sign that tuskarr are nearby.", 8, "|cFFFFD200Trading Card Game:|r Scourgewar" },
    [68810] = { 36511, 5, 2, nil, "Affectionate and curious, these kittens seem to find the most peculiar hiding places.", 8, "|cFFFFD200Trading Card Game:|r Scourgewar" },
    [69002] = { 36607, 1, 16466, nil, "Spawn of Onyxia, this young dragon has decided that it doesn't want to follow in its grandfathers' cataclysmic footsteps.", 5, "|cFFFFD200Achievement: |rWoW's 5th Anniversary|n|cFFFFD200Category: |rFeats of Strength" },
    [69452] = { 36871, 6, 82, nil, "Found in the Firelands and the Molten Core, core hounds can trace their lineage back to the alpha male, Magmadar.", 7, "|cFFFFD200Promotion:|r Authenticator Account Link|n" },
    [69535] = { 36908, 2, 82, nil, "A gift from the Wildhammer dwarves to the heroes of the Alliance, these hatchlings are descendants of the same gryphons ridden by Falstad and his entourage into Grim Batol.", 9, "|cFFFFD200In-Game Shop|r" },
    [69536] = { 36909, 7, 82, nil, "Thorg No-Legs never paid heed to the old orc saying, 'Don't pull a wyvern's tail.'", 9, "|cFFFFD200In-Game Shop|r" },
    [69539] = { 36910, 5, 82, nil, "A rarely seen family of tigers, many believe (perhaps incorrectly) that some residual magic or other event is responsible for the unique color.", 7, "|cFFFFD200Promotion:|r Recruit-A-Friend" },
    [69541] = { 36911, 0, 82, nil, "The pandaren monk is a fearless traveling companion, constantly training in his art... unless you offer him a drink. He considers it rude to refuse.", 9, "|cFFFFD200In-Game Shop|r" },
    [69677] = { 36979, 3, 82, nil, "In life, Kel'Thuzad betrayed the Kirin Tor and created the Cult of the Damned. In death, he serves the Scourge as the Archlich Lord of Naxxramas.", 9, "|cFFFFD200In-Game Shop|r" },
    [70613] = { 37865, 4, 82, nil, "Although small, pugs are very dangerous when provoked.", 5, "|cFFFFD200Achievement: |rLooking For Multitudes|n|cFFFFD200Category: |rDungeons & Raids" },
    [71840] = { 38374, 5, 2, nil, "This, um, 'adorable' little guy likes to play with critters. Just don't let them get too close.", 6, "|cFFFFD200World Event:|r Love is in the Air" },
    [74932] = { 40198, 6, 2, nil, "While not nearly as destructive as its original master, the Ice Lord Ahune, the frostling has been known to lob chilly snowballs at unsuspecting adventurers.", 6, "|cFFFFD200World Event:|r Midsummer Fire Festival" },
    [75134] = { 40295, 9, 2, nil, "Jepetto's top-selling toy this season, the bot's new blue chassis has children across Azeroth scrambling for this feisty battle bot.", 2, "|cFFFFD200Vendor: |rWorld Vendors|n|cFFFFD200Cost: |r50|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },
    [75613] = { 40624, 1, 82, nil, "Breanni in Dalaran, one of the world's foremost collectors of exotic pets, will only award the mystical Celestial Dragon to fellow collectors whose obsession rivals her own.", 5, "|cFFFFD200Achievement: |rLittlest Pet Shop|n|cFFFFD200Category: |rPet Battles" },
    [75906] = { 40703, 9, 82, nil, "Modeled after the huge titan prototype in Ulduar, this volatile little construct plays hard with its toys.", 9, "|cFFFFD200In-Game Shop|r" },
    [75936] = { 40721, 0, 34, nil, "Murkimus is the most fearsome of all murloc arena warriors. And the only one.", 11, "" },
    [78381] = { 42078, 9, 82, nil, "Powerful artillery of the Terran army. The Thor is always the first one in and the last one out!", 7, "|cFFFFD200Promotion:|r StarCraft II: Wings of Liberty Collector's Edition" },
    [23531] = { 14755, 1, 16466, nil, "Legends say that these vibrant emerald beings bring good fortune and safe travels to their owners.", 7, "|cFFFFD200Promotion:|r iCoke China" },
    [23530] = { 14756, 1, 16466, nil, "Said to bring good fortune when spotted in autumn.  Known to hide from unfamiliar creatures.", 7, "|cFFFFD200Promotion:|r iCoke China" },
    [28487] = { 16445, 0, 82, nil, "Terky is as shy as she is adorable, preferring the company of close friends over new ones.", 0, "|cFFFFD200Drop:|r White Murloc Egg" },
    [25018] = { 15361, 0, 16466, nil, "Murki is one of the world's rarest species of murloc.", 7, "|cFFFFD200Promotion:|r Korean Promotional Event" },
    [66175] = { 34770, 3, 2, nil, "These possessed puppets are given a semblance of life by whimsical spirits of the departed.", 6, "|cFFFFD200World Event:|r Day of the Dead" },
    [10699] = { 7546, 1, 2, nil, "The Bronze Whelpling was lost in time until an unusual event allowed her to escape.", 0, "|cFFFFD200Drop: |rIron Horde|n|cFFFFD200Zone: |rBlasted Lands" },
    [30152] = { 17254, 7, 66, nil, "One of Ash'alah's litter, entrusted to you by the Dreamweavers.", 2, "|cFFFFD200Vendor: |rSylvia Hartshorn|n|cFFFFD200Zone: |rVal'sharah|n|cFFFFD200Faction: |rDreamweavers - Revered|n|cFFFFD200Cost: |r500|TINTERFACE\\MONEYFRAME\\UI-GOLDICON.BLP:0|t" },

    [15648] = {  9936, 7, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [23428] = { 14633, 7, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [23429] = { 14629, 7, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [23430] = { 14631, 7, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [23431] = { 14630, 7, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [23432] = { 14632, 7, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [25849] = { 15661, 8, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [62514] = { 33199, 9, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
    [64351] = { 34031, 9, 2, nil, nil, 9, "|cFFFFD200In-Game Shop|r" },
};

for _, pet in ipairs({ 10699, 75613, 66175, 10708, 30152 }) do
    ezCollections.Pets[pet][6] = 11;
    ezCollections.Pets[pet][7] = "";
end
for _, pet in ipairs({ 10699, 66175, 10708 }) do
    ezCollections.Pets[pet][3] = bit.bor(ezCollections.Pets[pet][3], 0x20);
end
for _, pet in ipairs({ 75936 }) do
    ezCollections.Pets[pet][3] = bit.band(ezCollections.Pets[pet][3], bit.bnot(0x20));
end
